import request from '@/utils/request'

// 查询列表
export function listHistoryData(query) {
  return request({
    url: '/admin-api/presonnel/employee/history/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getHistoryData(dictCode) {
  return request({
    url: '/admin-api/presonnel/employee/history/get?id=' + dictCode,
    method: 'get'
  })
}

// 新增
export function addHistoryData(data) {
  return request({
    url: '/admin-api/presonnel/employee/history/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updateHistoryData(data) {
  return request({
    url: '/admin-api/presonnel/employee/history/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delHistoryData(dictCode) {
  return request({
    url: '/admin-api/presonnel/employee/history/delete?id=' + dictCode,
    method: 'delete'
  })
}

// 导出
export function exportHistoryData(query) {
  return request({
    url: '/admin-api/presonnel/employee/history/delete',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}